import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { environment } from '../enviroments/environment.cluster';

@Injectable({ providedIn: 'root' })
export class JumpService {

  private apiUrl = environment.apiBaseUrl === ''
  ? 'http://localhost:8080/game/jump'
  : environment.apiBaseUrl;

  constructor(private http: HttpClient) {}

  registerJump() {
    return this.http.get<{ totalJumps: number }>(this.apiUrl, {});
  }
}